<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button (click)="this.commonMethodsTs.goBack()" slot="start">
			<ion-icon slot="icon-only" name="arrow-round-back">
			</ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminThongBao()">
			<ion-icon name="home"></ion-icon>
			Chi tiết thông báo
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<form *ngIf="this.data && myForm" [formGroup]="myForm">
			<ion-list class="list-info-user">
				<ion-item>
					<ion-label>Tiêu đề<span class="custom-span">*</span>: </ion-label>
					<ion-input placeholder="Tiêu đề" formControlName="TieuDe"></ion-input>
				</ion-item>
				<ion-item class="d-flex ion-align-items-start">
					<ion-label class="label-for-textarea">Nội dung: </ion-label>
					<ion-textarea rows="5" placeholder="Nội dung" formControlName="NoiDung">
					</ion-textarea>
				</ion-item>
				<ion-item class="d-flex ion-align-items-start">
					<ion-label class="label-for-textarea">Dữ liệu: </ion-label>
					<ion-textarea rows="5" placeholder="Dữ liệu đi kèm (dành cho trường hợp đặc biệt mới nhập)" formControlName="Data">
					</ion-textarea>
				</ion-item>
				<ion-item>
					<ion-label>Link:</ion-label>
					<ion-select placeholder="Link" formControlName="Link" okText="Chọn" cancelText="Hủy">
						<ion-select-option *ngFor="let item of listDropdown.lLinkNotify" [value]="item.value">
							{{item.label}}
						</ion-select-option>
					</ion-select>
				</ion-item>
				<ion-item>
					<ion-label>Type:</ion-label>
					<ion-select placeholder="Type" formControlName="Type" okText="Chọn" cancelText="Hủy">
						<ion-select-option *ngFor="let item of listDropdown.lTypeThongBao" [value]="item.value">
							{{item.label}}
						</ion-select-option>
					</ion-select>
				</ion-item>
				<ion-item *ngIf="(this.data.Id> 0 && this.data.Link) || myForm.value.Link">
					{{this.data.Id > 0? this.data.Link : myForm.value.Link}}
				</ion-item>
				<ion-item *ngIf="(this.data.Id> 0 && this.data.Type == 2) ||
					myForm.value.Type == 2">
					<ion-label>Thành viên:</ion-label>
					<custom-ion-select [disabled]="this.data.Id> 0" #comboxThanhVien class="custom-ion-select"
						style="max-width: 120px" placeholder="Chọn thành viên" formControlName="IdThanhVien"
						[options]="{labelDefault:'Chọn thành viên'}" type="ThanhVien"
						(onSelected)="itemSelectedThanhVien(comboxThanhVien._itemSelected)">
					</custom-ion-select>
				</ion-item>

				<ion-item *ngIf="(this.data.Id> 0 && this.data.Type == 4) ||
						myForm.value.Type == 4">
					<ion-label>UserGroup:</ion-label>
					<custom-ion-select [disabled]="this.data.Id> 0" #comboxUserGroup class="custom-ion-select"
						style="max-width: 120px" placeholder="Chọn UserGroup" formControlName="IdUserGroup"
						[options]="{labelDefault:'Chọn UserGroup'}" type="UserGroup"
						[params]="{'allIncludingString': true}"
						(onSelected)="itemSelectedUserGroup(comboxUserGroup._itemSelected)">
					</custom-ion-select>
				</ion-item>
				<ion-item>
					<ion-label>Từ ngày</ion-label>
					<ion-datetime placeholder="Chọn ngày bắt đầu" formControlName="TuNgay"
					  displayFormat="DD-MM-YYYY HH:mm" cancelText="Hủy" doneText="Chọn">
					</ion-datetime>
				  </ion-item>
				  <ion-item lines="none">
					<ion-label>Đến ngày</ion-label>
					<ion-datetime placeholder="Chọn ngày kết thúc" formControlName="DenNgay"
					  displayFormat="DD-MM-YYYY HH:mm" cancelText="Hủy" doneText="Chọn">
					</ion-datetime>
				  </ion-item>
				<ion-item lines="full">
					<ion-label>Trạng thái:</ion-label>
					{{myForm.value.TrangThai ? "Hiện": "Ẩn"}}
					<ion-toggle formControlName="TrangThai"></ion-toggle>
				</ion-item>
				<ion-item *ngIf="+myForm.value.IdThanhVien> 0 && ((this.data.Id> 0 && this.data.Type == 2) ||
					myForm.value.Type == 2)">
					<ion-label position="stacked">Số điện thoại thành viên:</ion-label>
					{{myForm.value.DienThoai}}
				</ion-item>
				<ion-item *ngIf="+myForm.value.IdUserGroup> 0 && ((this.data.Id> 0 && this.data.Type == 4) ||
					myForm.value.Type == 4)">
					<ion-label position="stacked">Danh sách thành viên thuộc group:
					</ion-label>
					<ion-list margin-bottom-content margin-top *ngIf="myForm.value.LstThanhVien_Ext as lThanhVien"
						>
						<ion-item class="raovat-item" *ngFor="let item of lThanhVien">
							<div class="raovat-box">
								<div class="raovat-info">
									<h3 class="title">
										{{this.commonMethodsTs.getData(item, "HoTen", this.lbl.noneUpdate)}}
									</h3>
								</div>
							</div>
						</ion-item>

					</ion-list>
				</ion-item>
			</ion-list>
		</form>

		<ion-list *ngIf="data.Id != -1" lines="none" class="list-info-user ion-margin-top ion-padding-vertical
			ion-padding-horizontal">
			<ion-button (click)="xoaThongBao()" class="w-100p mx-a" color="primary">Xoá</ion-button>
		</ion-list>
	</ion-grid>
</ion-content>